Skip to main content

public/get-tickers

GET 

/public/get-tickers

Fetches the public tickers for all or a particular instrument.

Request

Query Parameters

    instrument_name string

    e.g. BTCUSD-PERP

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0.
    data object[]
  • Array [
  • h decimal

    Price of the 24h highest trade

    l decimal

    Price of the 24h lowest trade, null if there weren't any trades

    a decimal

    The price of the latest trade, null if there weren't any trades

    c decimal

    24-hour price change, null if there weren't any trades

    b decimal

    The current best bid price, null if there aren't any bids

    k decimal

    The current best ask price, null if there aren't any asks

    i string

    Instrument name

    v decimal

    The total 24h traded volume

    vv decimal

    The total 24h traded volume value (in USD)

    oi decimal

    The open interest

    t int64

    The published timestamp in ms, e.g. "1771761038000".

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.